Stop compute version
Experimental endpoint: this API is in active development and may change at any time without notice. Requests VM shutdown for the compute version. The version record and metadata are retained. Poll the status endpoint until `stopped` is reached.
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Requests VM shutdown for the compute version. The version record and metadata are retained. Poll the status endpoint until stopped is reached.
POST
/v1/versions/{versionId}/stopAuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
versionId*string
Match
^(cpv_)?([cC][^\s-]{8,}|[a-z0-9]+)$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.prisma.io/v1/versions/string/stop"Empty
{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}